<template>
  <div>
    <b-dropdown
      split
      split-variant="outline-primary"
      variant="primary"
      text="Seleccionar juegos"
      class="m-2"
    >
      <b-dropdown-item v-for="game in games" v-bind:key="game.id" @click="onGameClick(game)">
        {{game.name}}
      </b-dropdown-item>
    </b-dropdown>
    <b-list-group class="mt-5 mb-5">
      <b-list-group-item v-for="game in selectedGames" v-bind:key="game.id">
        {{game.name}}
      </b-list-group-item>
    </b-list-group>
    <b-button v-if="selectedGames.length > 0" variant="primary" class="mb-5" @click="search()">
      Buscar
    </b-button>
  </div>
</template>

<script>
export default {
  data() {
    return {
      games: [],
      selectedGames: []
    }
  },
  mounted() {
    fetch('http://localhost:5000/api/game/')
      .then(response => response.json())
      .then(games => this.games = games)
  },
  methods: {
    onGameClick(game) {
      if (!this.selectedGames.includes(game)) {
        this.selectedGames.push(game)
      }
    },
    search() {
      const username = this.$store.state.loggedUser;
      const selectedGamesIds = this.selectedGames.map(game => game.id).join(',')
      fetch(`http://localhost:5000/api/searchusers/?username=${username}&games=${selectedGamesIds}`)
        .then(response => response.json())
        .then(users => console.log(users))
    }
  }
}
</script>